use tokio_tungstenite::WebSocketStream;
use tungstenite::Message;

// 自定义结构体来存储发送器和接收器
#[derive(Debug)]
pub struct Connection {
    pub(crate) sender: futures::stream::SplitSink<WebSocketStream<tokio::net::TcpStream>, Message>,
    pub(crate) receiver: futures::stream::SplitStream<WebSocketStream<tokio::net::TcpStream>>,
}